Bug 179865 - Problems w/ 1440x900 Resolution
Problems w/ 1440x900 Resolution
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-02-03 09:45 EST by Johnny Proton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-06 00:24:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johnny Proton 2006-02-03 09:45:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20060111 Firefox/

Description of problem:
I have an HP ZD7000 and it has a somewhat non-standard resolution for the screen. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
During installation, 1440x900 is available as an option for my Generic LCD Monitor type, but it isn't available on my GeForce FX Go5200 display adapter so I cannot select that resolution and actually use it.

Actual Results:  The screen runs in a strange resolution that I can't identify.  Everything is very stretched out horizontally.

Expected Results:  Assuming I'll have to go to fix the xorg.conf file again but this should be a supported resolution by the time FC5 ships, as it works just fine.

Additional info:
Comment 1 Mike A. Harris 2006-02-05 16:59:25 EST
The video modes that are available in the X server, are the ones that are
provided by the X.Org official release.  If any particular mode is missing
from the X server, you'll need to generate one manually using the "gtf"
utility that is part of X, and manually add the custom video mode to the
xorg.conf file, as documented in the xorg.conf manpage.

Once you've tested the custom video mode out and have confirmed that it works
correctly, file a bug report in X.Org bugzilla at http://bugs.freedesktop.org
in the "xorg" component, and request that your custom video mode be added to
the "extramodes" database.  If it is accepted, this will ensure that future
releases of the X.Org X server will have your custom mode built in by default,
and you'll no longer need to specify it manually.

When you've filed your report in X.Org bugzilla, you should also attach a
copy of your X server log file and config file to the X.Org bug report as
individual uncompressed file attachments.  Once this has been done, if you
paste the bug report URL here, we will review the upstream report, and if
the mode is accepted into X.Org CVS, we will add it to a future build of
the Fedora X server as well.

Comment 2 Johnny Proton 2006-02-05 23:27:51 EST
Okay, I've updated this bug with a link to the current Xorg bug which contains
the working xorg.conf file and my xorg log file.

Hope this helps.  Suprised that you guys couldn't filter my comments through to
them though.  I've had this laptop for 2 years and I know there are tons of
copies of the working xorg.conf file all over the net.

This definitely shoudln't be as much of a problem as it is.  How are people
supposed to start using Linux if they can't even see the screen properly?
Comment 3 Mike A. Harris 2006-02-06 00:24:12 EST
Thanks, tracking https://bugs.freedesktop.org/show_bug.cgi?id=5819

Comment 4 Johnny Proton 2006-02-27 00:43:22 EST
Hi Mike,

Just installed Test 3 release of Fedora Core 5 and same issue.  I went back to
track the bug's progress and it looks like the FreeDesktop guys haven't even
looked at my submission yet.

This seems like such a simple issue.  I'm sure a *ton* of HP ZDx000 users would
love to get resolution here.  Can you juice the system at all?

Comment 5 Mike A. Harris 2006-07-24 03:27:02 EDT
I've added the following to our custom mode list, however it is not included
in upstream.

$ cvt 1440 900 60

# 1440x900 @ 60.00 Hz (CVT)
#   field rate 59.89 Hz; hsync: 55.93 kHz; pclk: 106.50 MHz
Modeline "1440x900"  106.50  1440 1520 1672 1904  900 903 909 934  -HSync +Vsync

Note You need to log in before you can comment on or make changes to this bug.